Overview

Update field

Update field.

PUT/v2/datasets/{dataset_id}/fields/{field_id}
Features

Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.

Input7
Authorizationheaderrequired
Sent from your browser straight to the API — never to Docsbook, never stored.
dataset_idstring · pathrequired
(path)
field_idstring · pathrequired
(path)
descriptionstring · body
Description of the field
hiddenboolean · body
Whether the field is hidden
namestring · bodyrequired
Name of the field
typestring · bodyrequired
Type of the field
unitstring · body
Unit of the field
Output5
descriptionstring
Description of the field
hiddenboolean
Whether the field is hidden
namestring
Name of the field
typestring
Type of the field
unitstring
Unit of the field
Responses
200DatasetField
Example input
curl -X PUT 'https://api.axiom.co/v2/datasets/{dataset_id}/fields/{field_id}' \
  -H 'Authorization: Bearer API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"name":"string","type":"string"}'
Example output
{
  "description": "string",
  "hidden": false,
  "name": "string",
  "type": "string",
  "unit": "string"
}

Updated

Was this page helpful?